## org.apache.http.conn
Class ConnectTimeoutException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.io.InterruptedIOException
                      org.apache.http.conn.ConnectTimeoutException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ConnectionPoolTimeoutException

    @Immutable
    public class ConnectTimeoutException

extends InterruptedIOException

A timeout while connecting to an HTTP server or waiting for an available connection from an HttpConnectionManager.

Since:
  4.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.io.InterruptedIOException
`bytesTransferred`

Constructor Summary
`ConnectTimeoutException()` Creates a ConnectTimeoutException with a `null` detail message.
`ConnectTimeoutException(String message)` Creates a ConnectTimeoutException with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConnectTimeoutException

    public ConnectTimeoutException()

  Creates a ConnectTimeoutException with a `null` detail message.

### ConnectTimeoutException

    public ConnectTimeoutException(String message)

  Creates a ConnectTimeoutException with the specified detail message.

  Parameters:
    `message` - The exception detail message

Copyright © 1999-2012 The Apache Software Foundation. All Rights Reserved.